<%
'*************************************************************************
' Function : HTML/ASP code functions and subroutines which can be 
'          : used to customize the look of the store's header.
' Product  : Shopping Tree Store Frontend
' Version  : 3.3
' Modified : January 2005
' Copyright: Copyright (C) 2004 Shopping Tree.Com 
'            See "license.txt" for this product for details regarding 
'            licensing, usage, disclaimers, distribution and general 
'            copyright requirements. If you don't have a copy of this 
'            file, you may request one at webmaster@ShoppingTree.com
'*************************************************************************
'   Date								Description
' 10/27/05	Added support for multiple language categories
' 05/31/06	Removed database connection close.
'*************************************************************************

'*************************************************************************
'Display Featured Categories
'*************************************************************************
function showFeaturedCat()

	'Declare some variables
	dim mySQL, rsTemp, tempStr
	
	'Read Database
	mySQL = "SELECT idCategory,categoryDesc " _
		  & "FROM   categories " _
		  & "WHERE  categoryFeatured='Y' " _
		  & "ORDER BY sortOrder,categoryDesc "
	set rsTemp = openRSexecute(mySQL)
	do while not rsTemp.EOF
	
		'Build display string
		tempStr = tempStr _
			& "<a href=""" _
			& urlNonSSL _
			& "prodList.asp?idCategory=" & rsTemp("idCategory") & """>" _
			& langCategory(rsTemp("idCategory"),"CategoryDesc", rstemp("categoryDesc")) _
			& "</a><br>"
			
		'Next Record
		rsTemp.MoveNext
	
	loop
	call closeRS(rsTemp)

	'Return	
	showFeaturedCat = tempStr
 
end function

'*************************************************************************
'Display New Products
'*************************************************************************
function showNewProd(dispNum)

	'Declare some variables
	dim mySQL, rsTemp, tempStr, count
	
	if dispNum > 0 then
		'Read Database
		mySQL="SELECT TOP " & dispNum & " idProduct, description " _
		    & "FROM   products " _
		    & "WHERE  active = -1 " _
		    & "ORDER BY idProduct DESC "
		set rsTemp = openRSexecute(mySQL)
		do while not rsTemp.EOF
		
			'Increment counter
			count = count + 1
			
			'Build display string
			tempStr = tempStr _
				& count & ". <a href=""" _
				& urlNonSSL _
				& "prodView.asp?idProduct=" & rsTemp("idProduct") & """>" _
				& langProduct(rsTemp("idProduct"),"description",rstemp("description")) _
				& "</a><br>"
				
			'Next Record
			rsTemp.MoveNext
		
		loop
		call closeRS(rsTemp)
	end if
	'Return
	if isEmpty(tempStr) or isNull(tempStr) or len(trim(tempStr)) = 0 then
		showNewProd = LangText("GenNotApplicable","")
	else
		showNewProd = tempStr
	end if
 
end function

'*************************************************************************
'Display Top Sellers
'*************************************************************************
function showTopSell(dispNum)

	'Declare some variables
	dim mySQL, rsTemp, tempStr, count
	
	if dispNum > 0 then
		'Read Database
		mySQL = "SELECT TOP " & dispNum & " a.idProduct, a.description " _
		      & "FROM   cartRows a, cartHead b, products c " _
		      & "WHERE  a.idOrder = b.idOrder " _
		      & "AND   (b.orderStatus='1' OR b.orderStatus='2' OR b.orderStatus='7') " _
		      & "AND    a.idProduct = c.idProduct " _
		      & "AND    c.active = -1 " _
		      & "GROUP BY a.idProduct, a.description " _
		      & "ORDER BY SUM(a.quantity) DESC "
		set rsTemp = openRSexecute(mySQL)
		do while not rsTemp.EOF
		
			'Increment counter
			count = count + 1
			
			'Check if number of products exceed count
			if count > cint(dispNum) then
				exit do
			end if
			
			'Build display string
			tempStr = tempStr _
				& count & ". <a href=""" _
				& urlNonSSL _
				& "prodView.asp?idProduct=" & rsTemp("idProduct") & """>" _
				& langProduct(rsTemp("idProduct"),"description",rstemp("description")) _
				& "</a><br>"
				
			'Next Record
			rsTemp.MoveNext
		
		loop
		call closeRS(rsTemp)
	end if
	
	'Return
	if isEmpty(tempStr) or isNull(tempStr) or len(trim(tempStr)) = 0 then
		showTopSell = LangText("GenNotApplicable","")
	else
		showTopSell = tempStr
	end if
 
end function

'************************************************************************
' Store Extra Pages
'************************************************************************
function showStoreExtraPages()
 	'Declare some variables
	dim mySQL, rsTemp, tempStr, count
	
	tempStr = ""
	
	'Read Database
	mySQL="SELECT ExtraId, ExtraCaption, ExtraTarget " _
	    & "FROM   ExtraPages " _
	    & "WHERE  ExtraDisplay = 'checked'" _
	    & "ORDER BY ExtraCaption "
	set rsTemp = openRSexecute(mySQL)
	do while not rsTemp.EOF
	
		'Increment counter
		count = count + 1
		
		'Build display string
		tempStr = tempStr _
			& "<a href=""" & urlNonSSL & "openExtra.asp?extra=" & rsTemp.Fields("ExtraId") & """ " _
			& "target=""" & rsTemp("ExtraTarget") & """>" _
			& LangText(rsTemp.Fields("ExtraCaption"),rsTemp.Fields("ExtraCaption")) _
			& "</a><br>"
			
		'Next Record
		rsTemp.MoveNext
	
	loop
	call closeRS(rsTemp)

	'Return
	if isEmpty(tempStr) or isNull(tempStr) or len(trim(tempStr)) = 0 then
		showStoreExtraPages = LangText("GenNotApplicable","")
	else
		showStoreExtraPages = tempStr
	end if


end function

'*************************************************************************
'Traffic Tracking
'*************************************************************************
function tracking()


' Dim the variables
dim categoryId
dim productId
dim dateCreated
dim dateCreatedInt
dim ip
dim url
dim mySql
dim rsTemp
dim block
dim querystring

' create the serial date
dateCreated = currDateTime("DT",timeOffSet)
dateCreatedInt = dateInt(currDateTime("DT",timeOffSet))


' Fill the values
productId = Request.QueryString("idproduct")
categoryId  = Request.QueryString("idCategory")
ip = Request.ServerVariables("REMOTE_ADDR")
url = Request.ServerVariables("url")

if len(Request.QueryString) > 0 then 
	url = url & "?" & Request.QueryString
end if

' Make sure all have values
if productId = "" then productId = "-1"
if categoryId = "" then categoryId = "-1"
if ip = "" then ip = "N/A"
if url = "" then url = "N/A"
'
' Insert the values into the table named counter 
mySQL = "INSERT INTO Tracking (" _
	      & "dateCreated,dateCreatedInt,categoryId,productId,ip,url" _
	      & ") VALUES (" _
	      & "'" & dateCreated    	& "'," _
	      & "'" & dateCreatedInt 	& "'," _
	      &  categoryId     	 	& "," _
	      &  productId   			& "," _
	      & "'" & ip     		 	& "'," _
	      & "'" & validSQL(url,"A")	& "'" _
	      & ")"
		  
set rsTemp = openRSexecute(mySQL)

' Close the rs
call closeRS(rsTemp)
end function

'*************************************************************************
'Display New Products
'*************************************************************************
sub getBrands()

	'Declare some variables
	dim mySQL, rsTemp,brand
	
	'Read Database
	mySQL="SELECT distinct brand " _
	    & "FROM   products " _
	    & "WHERE  active = -1 " _
	    & "ORDER BY brand"
	set rsTemp = openRSexecute(mySQL)
	do while not rsTemp.EOF
		brand = rsTemp("brand")
		if len(brand) > 0 then
			response.write "<option value=""" & brand & """ >" & brand & "</option>"
		end if	
		'Next Record
		rsTemp.MoveNext
	loop
	call closeRS(rsTemp)

end sub


%>